use std::env;
use std::io;


pub static ENV_MPS_HOME: &str = "MPS_HOME";

pub static PATH_STORAGE: &str = "storage"; // should be under git
pub static PATH_DB: &str = "db.mps";


pub fn get_storage_path() -> io::Result<String> {
    let result = match env::var(ENV_MPS_HOME) {
        Ok(mps_home) => format!("{}/{}", mps_home, PATH_STORAGE),
        Err(_) => PATH_STORAGE.to_string()
    };
    Ok(result)
}

pub fn get_db_path() -> io::Result<String> {
    let st = get_storage_path()?;
    let result = format!("{}/{}", st, PATH_DB);
    Ok(result)
}

